summaryrefslogtreecommitdiff
path: root/tests/misc/stty
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/stty')
-rwxr-xr-xtests/misc/stty3
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/misc/stty b/tests/misc/stty
index c53f6c40a..b607ec08c 100755
--- a/tests/misc/stty
+++ b/tests/misc/stty
@@ -1,7 +1,7 @@
#! /bin/sh
# Make sure stty can parse most of its options.
-# Copyright (C) 1998-2004, 2006-2008 Free Software Foundation, Inc.
+# Copyright (C) 1998-2004, 2006-2009 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -24,6 +24,7 @@ fi
# Make sure there's a tty on stdin.
. $srcdir/test-lib.sh
require_controlling_input_terminal_
+trap '' TTOU # Ignore SIGTTOU
# The following list of reversible options was generated with
# grep -w REV stty.c|sed -n '/^ {"/{s//REV_/;s/".*/=1/;p;}'|fmt